﻿// Inicializa la grilla entregandole nuevas funcionalidades.
function InitSpread(spread) {
    // Obtiene el índice de la fila activa de la grilla.
    spread.GetFilaActiva = function() {
        // Determinamos qué navegador está utilizando el cliente.
        if (spread.ActiveRow) {
            return spread.ActiveRow;
        } else {
            return spread.GetActiveRow();
        }
        // En case de no cumplir las validaciones, se retorna índice -1.
        return -1;
    }
    // Obtiene el índice de la columna activa de la grilla.
    spread.GetColumnaActiva = function() {
        // Determinamos qué navegador está utilizando el cliente.
        if (spread.ActiveCol) {
            return spread.ActiveCol;
        } else {
            return spread.GetActiveCol();
        }
        // En case de no cumplir las validaciones, se retorna índice -1.
        return -1;
    }
    // Obtiene la celda de la fila y la columna especificada.
    spread.Celda = function(row, column) {
        return spread.Cells(row, column);
    }
    // Pinta el color de fondo de la celda de la fila y la columna especificada.
    spread.PintarCelda = function(row, column, color) {
        spread.Celda(row, column).style.background = color;
    }
    // Pinta el color de fondo de la celda activa de la grilla.
    spread.PintarCeldaActiva = function(color) {
        spread.PintarCelda(spread.GetFilaActiva(), spread.GetColumnaActiva(), color);
    }
}